Skip to main content
Operations Management/Billing Management Operations
PUTBilling Management OperationsSince 3.7.2SynchronousAuth Required

UpdateResourcePrice

UpdateResourcePrice

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource price UUID.

Body Fields

  • updateresourcepriceObjectRequired

    updateresourceprice request body object.

    • endDateInLongLong

      Optional. The resource price expiration date.

    • setEndDateInLongBaseOnCurrentTimeboolean

      Optional. Sets the resource price expiration date to the current time.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryPriceInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • resourceNameStringRequired

      The resource name.

    • resourceUnitStringRequired

      The billing unit of the resource.

    • timeUnitStringRequired

      The billing time unit.

    • priceDoubleRequired

      The unit price.

    • dateInLongLongRequired

      The long-integer time.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • tableUuidStringRequired

      The price table UUID.

    • pciDeviceOfferingsListRequired

      See pciDeviceOfferings.

      • priceUuidStringRequired

        No description provided.

      • pciDeviceOfferingUuidStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

PUT/zstack/v1/billings/prices/{uuid}/actions

/zstack/v1/billings/prices/{uuid}/actions

Operation ID

UpdateResourcePrice

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/billings/prices/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateresourceprice":{"endDateInLong":1,"setEndDateInLongBaseOnCurrentTime":true},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "d7d2b639707c3e158f9f94cdfff8dc88", "resourceName": "Volume", "resourceUnit": "1", "timeUnit": "s", "price": 2.0, "dateInLong": 1.510669257141E12, "endDateInLong": 1.511029257141E12 } }

Change History

This API has no change history records yet.

View all change history